package com.unis.sxzcl.widget.dialog;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;

import androidx.annotation.NonNull;

import com.unis.sxzcl.databinding.DialogProgressBinding;


/**
 *
 * 包名: com.unis.sxzcl.widget.dialog
 * 类名: ProgressSysDialog
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/29 14:58
 * 更新人:
 * 更新时间: 2020/12/29 14:58
 * 更新说明:
 * 版本号: 1.0
 */
public class ProgressSysDialog {

    Context mContext;
    private SystemDialog mDialog;
    private DialogProgressBinding mBinding;

    public ProgressSysDialog(@NonNull Context context) {
        mContext = context;
        initDialog();
    }

    /**
     * 初始化对话框
     */
    private void initDialog() {
        mDialog = new SystemDialog(mContext)
                .setHideTitle()
                .setHideClose()
                .setContentView(getView());
    }

    /**
     * 获取自定义布局
     */
    private View getView() {
        mBinding = DialogProgressBinding.inflate(LayoutInflater.from(mContext));
        return mBinding.getRoot();
    }

    /**
     * 设置文字
     */
    public ProgressSysDialog setMessage(String message) {
        mBinding.tvMessage.setText(message);
        return this;
    }

    /**
     * 显示对话框
     */
    public ProgressSysDialog show() {
        mDialog.show();
        return this;
    }

    /**
     * 隐藏对话框
     */
    public ProgressSysDialog dismiss() {
        mDialog.dismiss();
        return this;
    }

    /**
     * 获取对话框
     *
     * @return
     */
    public SystemDialog getDialog() {
        return mDialog;
    }

}
